<?php setcookie("login", $_COOKIE["login"] , time()+3600, "/", "deim.etse.urv.es", 1 ); ?>
<?php setcookie("sessio", $_COOKIE["sessio"] , time()+3600, "/", "deim.etse.urv.es", 1 ); ?>
<html>
  <head>
    <link rel="stylesheet" href="../estils/hoja.css" type="text/css">
    <title>Afegir Deiminari</title>
  </head>

  <body leftmargin="0" topmargin="0" bgcolor="#8F0000">
    <table border="0" width="100%" height="100%" cellpadding="0" cellspacing="0">
      <tr>
        <!-- Menú dret -->
        <td align="left" valign="top" width="100" bgcolor="#4F0000">
          <?php include("../menu.inc") ?>
        </td>

        <!-- Capçalera -->
        <td align="left" valign="top" width="100%" class="centered">
        <h2>Departament d'Enginyeria Informàtica i Matemàtiques</h2>
        <img src="images/separador.gif">
        <br><br>
        <div align="left"><blockquote>

        <!-- Començament del cos -->
        <?php 
          require("../private/connect.inc");
          require("../private/ident.inc");
          require("../private/text.inc");
          require ("../private/func-deiminaris.inc");
          ident();
      	  autoritzar($_COOKIE["login"], "deiminaris");
        ?>
        <h2>Administració Deiminaris: Afegir</h2>
        <?php
              $error=false;
              echo "<table cellpadding=0 cellspacing=0 width=75% bgcolor=#dd0000>";
              if ($_POST["titol"] == ""){
                echo "<tr><td><b>ERROR: El camp <u>titol</u> no pot estar buit!</td></tr>";
                $error=true;
              }
              if ($_POST["resum"] == ""){
                echo "<tr><td><b>ERROR: El camp <u>resum</u> no pot estar buit!</td></tr>";
                $error=true;
              }
              if ($_POST["encarregat"]==""){
                echo "<tr><td><b>ERROR: El camp <u>encarregat</u> no pot estar buit!</td></tr>";
                $error=true;
              }
              if ($_POST["nodata"]!="true"){
                if ($_POST["dia"]==""){
                  echo "<tr><td><b>ERROR: El camp <u>dia</u> no pot estar buit!</td></tr>";
                  $error=true;
                }
                if ($_POST["mes"]==""){
                  echo "<tr><td><b>ERROR: El camp <u>mes</u> no pot estar buit!</td></tr>";
                  $error=true;
                }
                if ($_POST["any"]==""){
                  echo "<tr><td><b>ERROR: El camp <u>any</u> no pot estar buit!</td></tr>";
                  $error=true;
                }
                if ($_POST["hora"]==""){
                  echo "<tr><td><b>ERROR: El camp <u>hora</u> no pot estar buit!</td></tr>";
                  $error=true;
                }
                if ($_POST["minuts"]==""){
                  echo "<tr><td><b>ERROR: El camp <u>minuts</u> no pot estar buit!</td></tr>";
                  $error=true;
                }
              }
              if ($_POST["lloc"]==""){
                echo "<tr><td><b>ERROR: El camp <u>lloc</u> no pot estar buit!</td></tr>";
                $error=true;
              }
              if ($_POST["obert_a"]==""){
                echo "<tr><td><b>ERROR: El camp <u>obert a</u> no pot estar buit!</td></tr>";
                $error=true;
              }
              if ($_POST["idioma"]==""){
                echo "<tr><td><b>ERROR: El camp <u>idioma</u> no pot estar buit!</td></tr>";
                $error=true;
              }
              if ($_POST["cicle"]==""){
                echo "<tr><td><b>ERROR: El camp <u>cicle</u> no pot estar buit!</td></tr>";
                $error=true;
              }
              // Guardem en $mes el nombre corresponent
              $mes = mes2num($_POST["mes"]);

              if ($_POST["nodata"]!="true"){
                if (!checkdate($mes, $_POST["dia"], $_POST["any"])) {
                  echo "<tr><td><b>ERROR: El format de la <u>data</u> es incorrecte!</td></tr>";
                  $error=true;
                }
              }
              if (!checkdate("1","1", $_POST["cicle"])) {
                echo "<tr><td><b>ERROR: El valor de <u>cicle</u> es incorrecte!</td></tr>";
                $error=true;
              }
              echo "</table>";
              echo "<b>Titol:</b><br>" . htmlspecialchars($_POST["titol"]) . "<br><br>";
              echo "<b>Autor:</b><br>" . htmlspecialchars($_POST["encarregat"]) .
              "<br><br>";
              echo "<b>Institucio:</b><br>" . htmlspecialchars($_POST["institucio"]) .
              "<br><br>";
              echo "<b>Departament:</b><br>" . htmlspecialchars($_POST["departament"]) .
              "<br><br>";
              if ($_POST["nodata"]!="true"){
                echo "<b>Dia:</b><br>" . htmlspecialchars($_POST["dia"]) . " " .
                htmlspecialchars($_POST["mes"]) . " " . htmlspecialchars($_POST["any"]) . "<br><br>";
                echo "<b>Hora:</b><br>" . htmlspecialchars($_POST["hora"]) . ":" .
                htmlspecialchars($_POST["minuts"]) . "<br><br>";
              } else {
                echo "<b>Data:</b> Sense determinar<br><br>";
              }
              echo "<b>Lloc:</b><br>" . htmlspecialchars($_POST["lloc"]) . "<br><br>";
              echo "<b>Obert a:</b><br>" . htmlspecialchars($_POST["obert_a"]) . "<br><br>";
              echo "<b>Idioma:</b><br>" . htmlspecialchars($_POST["idioma"]) . "<br><br>";
              echo "<b>Cicle:</b><br>" . htmlspecialchars($_POST["cicle"]) . "/" .
              htmlspecialchars($_POST["cicle"]+1) . "<br><br>";
              echo "<b>Resum:</b><br>" . format_all($_POST["resum"]) ;
              echo "<br><br>";
              if ($error == false) {
                $dia = $_POST["any"] . "/" . $mes . "/" . $_POST["dia"];
                $hora = $_POST["hora"] . ":" . $_POST["minuts"] . ":00";
                echo "<form action=\"afegirdb.php\" method=\"post\">
                      <input name=\"titol\" type=\"hidden\" value=\"" .
                      htmlspecialchars($_POST["titol"]) .
                      "\">
                      <input name=\"encarregat\" type=\"hidden\" value=\"" .
                      htmlspecialchars($_POST["encarregat"]) .
                      "\">
                      <input name=\"institucio\" type=\"hidden\" value=\"" .
                      htmlspecialchars($_POST["institucio"]) .
                      "\">
                      <input name=\"departament\" type=\"hidden\" value=\"" .
                      htmlspecialchars($_POST["departament"]) .
                      "\">
                      <input name=\"nodata\" type=\"hidden\" value=\"" .
                      htmlspecialchars($_POST["nodata"]) .
                      "\">
                      <input name=\"dia\" type=\"hidden\" value=\"" .
                      htmlspecialchars($dia) .
                      "\">
                      <input name=\"hora\" type=\"hidden\" value=\"" .
                      htmlspecialchars($hora) .
                      "\">
                      <input name=\"lloc\" type=\"hidden\" value=\"" .
                      htmlspecialchars($_POST["lloc"]) .
                      "\">
                      <input name=\"obert_a\" type=\"hidden\" value=\"" .
                      htmlspecialchars($_POST["obert_a"]) .
                      "\">
                      <input name=\"idioma\" type=\"hidden\" value=\"" .
                      htmlspecialchars($_POST["idioma"]) .
                      "\">
                      <input name=\"cicle\" type=\"hidden\" value=\"" .
                      htmlspecialchars($_POST["cicle"]) .
                      "\">
                      <input name=\"resum\" type=\"hidden\" value=\"" .
                      htmlspecialchars(format_all($_POST["resum"])) . "\">
                      &nbsp;&nbsp;<input type=\"image\" border=0 src=\"images/afegir.jpg\"></form>";
              }
        ?>
        <br>
        <input type="image" onClick="history.go(-1)" src="images/tornar.jpg">
        </blockquote></div>
        </td>
        <td align="left" valign="top" width="100">
          <br />
          <br />
          <br />
          <br />
          <a href="../desconectar.php" class="link2"><img src="images/tancar.jpg" border="0"></a>
        </td>
      </tr>
    </table>
  </body>
</html>

